New function CallOnGroebnerFanIdeals: call function on GFan ideals

04 Jul 2016 11:43 - Anna Maria Bigatti

Status: Closed Start date: 04 Jul 2016

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 100%

Category: CoCoA-5 function: new Estimated time: 4.00 hours

Target version: CoCoA-5.2.0 spring 2017 Spent time: 3.55 hours

Description

The function GFanIdeals (was AllReducedGroebnerBases) has a very big output.

Usually one needs to run a function along the GFan (i.e. len of GBasis, max degree in GBasis..) which would take far less memory.

Write a similar function which calls a given function on all GBases.

How to call this new function?  What should it do exactly: return? print?

Related issues:

Related to CoCoALib - Feature #780: GroebnerFan/ExternalLib-GFan: improve pac... In Progress 24 Sep 2015

Related to CoCoALib - Feature #762: ExternalLib-GFan: first prototype Closed 28 Aug 2015

Related to CoCoA-5 - Design #917: CallOnGroebnerFanIdeals: better to use an i... New 31 Aug 2016

Related to CoCoA-5 - Support #973: GroebnerFanIdeals: verbosity and output style Closed 17 Nov 2016

Related to CoCoA-5 - Support #977: "universal denominator" (related with Groe... In Progress 17 Nov 2016

History

#1 - 04 Jul 2016 11:44 - Anna Maria Bigatti

- Related to Feature #780: GroebnerFan/ExternalLib-GFan: improve package added

#2 - 04 Jul 2016 11:44 - Anna Maria Bigatti

- Related to Feature #762: ExternalLib-GFan: first prototype added

#3 - 10 Oct 2016 13:40 - Anna Maria Bigatti

- Related to Design #917: CallOnGroebnerFanIdeals: better to use an iterator (or a "stream") added

#4 - 10 Oct 2016 13:44 - Anna Maria Bigatti

- Status changed from New to Feedback

- % Done changed from 0 to 90

- Estimated time set to 4.00 h

added CallOnGroebnerFanIdeals.  Works fine.

Philosophically a stream would be cleaner, but no time to think about it.

#5 - 10 Oct 2016 14:34 - Anna Maria Bigatti

- Subject changed from New function: call function on GFan ideals to New function CallOnGroebnerFanIdeals: call function on GFan ideals

cvs-ed manual

#6 - 17 Nov 2016 21:29 - Anna Maria Bigatti

- Related to Support #973: GroebnerFanIdeals: verbosity and output style added

#7 - 21 Nov 2016 09:48 - Anna Maria Bigatti
- Related to Support #977: "universal denominator" (related with GroebnerFanIdeals) added

#8 - 26 Apr 2017 19:04 - Anna Maria Bigatti

- Status changed from Feedback to Closed

- % Done changed from 90 to 100

Updated manual (after cleaned up example in GBForEveryone paper).

closing.
